aboutsummaryrefslogtreecommitdiffstats
path: root/testing/lua-xml/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-07-29 15:12:02 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-07-29 15:12:02 +0000
commit8ae89e3b191960d851108ca82d0d4948947c9e24 (patch)
tree2f0ddc3ba78a5b9cac56b4206de6f79d0bf0ccc4 /testing/lua-xml/APKBUILD
parentcf2543caf3cda28e7a885216b4272b76f08c0f2f (diff)
downloadaports-8ae89e3b191960d851108ca82d0d4948947c9e24.tar.gz
aports-8ae89e3b191960d851108ca82d0d4948947c9e24.tar.bz2
aports-8ae89e3b191960d851108ca82d0d4948947c9e24.tar.xz
main/lua-xml: new aport
a minimal set of functions for the processing of XML data in Lua http://www.viremo.de/LuaXML
Diffstat (limited to 'testing/lua-xml/APKBUILD')
-rw-r--r--testing/lua-xml/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/lua-xml/APKBUILD b/testing/lua-xml/APKBUILD
new file mode 100644
index 0000000000..619a4d2565
--- /dev/null
+++ b/testing/lua-xml/APKBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=lua-xml
+_name=LuaXML
+pkgver=090910
+pkgrel=0
+pkgdesc="a minimal set of functions for the processing of XML data in Lua"
+url="http://www.viremo.de/LuaXML"
+license="MIT"
+depends=
+makedepends="lua-dev"
+install=
+subpackages=
+source="http://www.viremo.de/LuaXML/LuaXML_$pkgver.zip"
+
+_builddir="$srcdir"
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -m755 -D LuaXML_lib.so "$pkgdir"/usr/lib/lua/5.1/LuaXML_lib.so\
+ || return 1
+ install -m755 -D LuaXml.lua "$pkgdir"/usr/share/lua/5.1/LuaXml.lua \
+ || return 1
+}
+
+md5sums="de690d73a34bdc7d3b4f0307a40afd87 LuaXML_090910.zip"